List forms
curl --request GET \
--url https://pipedform.com/api/v1/forms \
--header 'Authorization: Bearer <token>'import requests
url = "https://pipedform.com/api/v1/forms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://pipedform.com/api/v1/forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "019f40ed-65aa-754b-90dd-504b87836506",
"name": "Contact Form",
"createdAt": "2026-06-01T08:30:00.000Z"
}
],
"nextCursor": "eyJpZCI6IjAxOWY0MGVkIn0="
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid API key"
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Too many requests, please try againt later."
}
}Forms
List forms
Retrieve a paginated list of forms in your workspace.
GET
/
forms
List forms
Authorizations
Provide your PipedForm API key as a Bearer token, e.g. Authorization: Bearer YOUR_API_KEY.
Query Parameters
Maximum number of forms to return.
Required range:
1 <= x <= 100Cursor for pagination. Pass the nextCursor value from a previous response to fetch the next page.
Was this page helpful?
